import '../../marianumconnect_query.dart';
import 'timetable_get_teachers_response.dart';

class TimetableGetTeachers extends MarianumConnectQuery {
  TimetableGetTeachers({super.dio});

  Future<TimetableGetTeachersResponse> run() async =>
      TimetableGetTeachersResponse(
        result: await getList(
          'timetable/elements/teachers',
          McTimetableTeacherElement.fromJson,
        ),
      );
}
